/api/v1/calls/uploadUpload Call
Uploads a call. You can either provide a mediaUrl in the body or upload a file directly.
Authentication
Send your API key in the x-api-key header.
Request body
requiredCall data and optional file upload
PublicApiCallUploadRequestDto
namerequiredstring
Name of the call for uploading
mediaUrlstring
URL of the media file to upload (alternative to file upload)
startDateTimerequiredstring (date-time)
Scheduled start date and time of the call
descriptionstring
Description of the call
fromNumberstring
Phone number of the caller
toNumberstring
Phone number of the callee
filestring (binary)
Audio file to upload (alternative to mediaUrl). It must be a valid mp3 / wav file
ownerIdstring
ID of the user who owns this call
personIdsarray<string>
Array of person IDs for call participants. Use comma to separate values. Recommendation: include the owner's personId here to guarantee feedback generation.
Example request
{
"name": "Sales Call Recording",
"mediaUrl": "https://example.com/upload/call_recording.mp3",
"startDateTime": "2024-07-18T14:00:00.000Z",
"description": "Recording of the sales call with Acme Corp.",
"fromNumber": "+1234567890",
"toNumber": "+0987654321",
"file": "",
"ownerId": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d",
"personIds": [
"5516cd47-2bd0-4f4f-adc2-22524e54ba4d"
]
}
Responses
PublicApiPostCallUploadResponseDto
statusCoderequirednumber
countrequirednumber
errorrequiredstring
datarequiredPublicApiCallUploadResponseDto
Example response
{
"statusCode": 200,
"count": 0,
"error": null,
"data": {
"callId": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d"
}
}